module.exports = function(grunt){
	//gruntの設定
	grunt.initConfig({

		autoprefixer: {
		    target: {
		        expand: true,
		        src: 'css/**/*.css',
		        dest: 'dist'
		    },
	        options: {
	            // 対象とするブラウザをこのように指定することができます。
	            browsers: ['last 2 version', 'ie 8', 'ie 9']
	        }
		},
		cssmin: {
		    target: {
		        expand: true,
		        // dist/css以下のcss。ただしmin.cssで終わっていないものに限る
		        src: ['dist/css/**/*.css', '!*.min.css'],
		        // 出力先はそのまま
		        dest: './',
		        // ファイルの拡張子をファイル名.min.cssにする
		        ext: '.min.css'
		    }
		},
		uglify: {
		    target: {
		        files: [{
		            expand: true,
		            src: 'js/**/*.js',
		            dest: 'dist'
		        }]
		    }
		},
		imagemin: {
			target: {
				files: [{
					expand: true,
					src: ['images/**/*.{png,jpg,gif}'],
					dest: 'dist'
				}]
			}
		},
		watch: {
		    css: {
		        files: ['css/**/*.css'],
		        tasks: ['autoprefixer','cssmin']
		    },
		    script: {
		        files: ['js/**/*.js'],
		        tasks: ['uglify']
		    },
		    images: {
		        files: ['images/**/*.{png,jpg,gif}'],
		        tasks: ['imagemin']
		    }
		}
	});

	//pluginをロード
	grunt.loadNpmTasks('grunt-autoprefixer');
	grunt.loadNpmTasks('grunt-contrib-imagemin');
	grunt.loadNpmTasks('grunt-contrib-uglify');
	grunt.loadNpmTasks('grunt-contrib-watch');
	grunt.loadNpmTasks('grunt-contrib-cssmin');

	grunt.registerTask('default', ['watch']);
};